# Online Payment

 - [GET /api/v1/charge](https://docs.trustap.com/apis/v1.0/openapi/online-payment/basic.getcharge.md): This returns the Trustap fee, in the `currency`'s smallest unit, for a transaction involving goods with the supplied `price`. See [the Stripe documentation](https://stripe.com/docs/currencies#zero-dec
 - [PATCH /api/v1/transactions/{transaction_id}](https://docs.trustap.com/apis/v1.0/openapi/online-payment/updatetransaction.md)
 - [POST /api/v1/transactions/{transaction_id}/accept_payment](https://docs.trustap.com/apis/v1.0/openapi/online-payment/basic.acceptpayment.md): This endpoint lets the seller accept payment and is accessible only if the seller has granted a feature `require_seller_acceptance`. Offline access is allowed for this endpoint when the user has grant
 - [POST /api/v1/transactions/{transaction_id}/accept_payment_with_guest_seller](https://docs.trustap.com/apis/v1.0/openapi/online-payment/basic.acceptpaymentwithguestseller.md): This endpoint allows payment acceptance for the seller specified in the header as `Trustap-User`.
 - [GET /api/v1/transactions/{transaction_id}/bank_transfer_details](https://docs.trustap.com/apis/v1.0/openapi/online-payment/basic.getbanktransferdetails.md)
 - [GET /api/v1/transactions/{transaction_id}/charge](https://docs.trustap.com/apis/v1.0/openapi/online-payment/basic.getchargefortransaction.md): This returns the Trustap fee, in the `currency`'s smallest unit, for a transaction involving goods with the supplied `price`. See [the Stripe documentation](https://stripe.com/docs/currencies#zero-dec
 - [POST /api/v1/transactions/{transaction_id}/set_payment_method](https://docs.trustap.com/apis/v1.0/openapi/online-payment/basic.setpaymentmethodfortransaction.md): Different payment methods incur different rates, so the payment method to be used for a transaction must be set before the payment is made. This requires retrieving the charge associated with the paym
